<?php 
namespace Concrete\Package\WufooForms\Controller\Tools;

use Loader;
use URL;
use Package;
use Page;
use \Concrete\Core\Controller\Controller as RouteController;

class SelectForm extends RouteController
{
    public function render()
    {
        ?>
        <div id="action-area"></div>
                
        </div>
        <script src="http://wufoo.com/scripts/iframe/formEmbedKit.js"></script>
        <script>

            //FIG. 7: init the form embed kit  (Warning: Global)
            var wufoo_framework = WufooFormEmbedKit({'userDefinedCallback':userDefinedCallback, 'displayElement':'action-area', 'provider':'undefined'});
            
            wufoo_framework.display();

                
            //FIG. 9: define a callback, with the required parameters
            function userDefinedCallback(message) {
                //FIG. 10 Close lightbox
                //$('popup').setStyle({display:'none'});

                // FIG. 11: MAGIC: Receive code from wufoo.com
                var objMessage = $.parseJSON(message);

                // FIG. 12: Create div and write out code for preview
                // You wouldn't necessarily need to preview, you can do whatever you want with the code
                $('#added-form').html(objMessage.display);
        
                // FIG. 13: tear down the library.
                wufoo_framework.destroy();
                
                $('#insert-wufoo-form').html('<?php  echo t('Replace')?> Wufoo <?php  echo t('Form')?>');
                
                jQuery.fn.dialog.closeTop();

            }
            
        </script>
        <?php 
    }
}