<?php   namespace Concrete\Package\WufooForms;

use Package;
use BlockType;
use Route;
use View;

class Controller extends Package
{

	protected $pkgHandle = 'wufoo_forms';
	protected $appVersionRequired = '5.7.1';
	protected $pkgVersion = '2.0.0';
	
	public function getPackageDescription() {
		return t("Add your Wufoo Forms");
	}
	
	public function getPackageName() {
		return t("Woofu Forms");
	}
	
	public function install() {
		$pkg = parent::install();
		
		// install block		
		BlockType::installBlockTypeFromPackage('wufoo_forms', $pkg);		
	
	}
	
	public function on_start(){
		 /**
         *  Registering Tools Files
         */
        Route::register(
            '/wufooforms/tools/getform',
            '\Concrete\Package\WufooForms\Controller\Tools\SelectForm::render'
        );

	}
}